Loading...
Searching...
No Matches
starpu_bitmap.h File Reference
`#include <starpu_util.h>`
`#include <starpu_config.h>`
`#include <string.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_bitmap

## Macros

#define | _STARPU_LONG_BIT
#define | _STARPU_BITMAP_SIZE
#define | _starpu_check_bitmap(b)

## Functions

static struct starpu_bitmap * | starpu_bitmap_create (void) STARPU_ATTRIBUTE_MALLOC
static void | starpu_bitmap_init (struct starpu_bitmap *b)
static void | starpu_bitmap_destroy (struct starpu_bitmap *b)
static void | starpu_bitmap_set (struct starpu_bitmap *b, int e)
static void | starpu_bitmap_unset (struct starpu_bitmap *b, int e)
static void | starpu_bitmap_unset_all (struct starpu_bitmap *b)
static int | starpu_bitmap_get (struct starpu_bitmap *b, int e)
static void | starpu_bitmap_unset_and (struct starpu_bitmap *a, struct starpu_bitmap *b, struct starpu_bitmap *c)
static void | starpu_bitmap_or (struct starpu_bitmap *a, struct starpu_bitmap *b)
static int | starpu_bitmap_and_get (struct starpu_bitmap *b1, struct starpu_bitmap *b2, int e)
static int | starpu_bitmap_cardinal (struct starpu_bitmap *b)
static int | starpu_bitmap_first (struct starpu_bitmap *b)
static int | starpu_bitmap_last (struct starpu_bitmap *b)
static int | starpu_bitmap_next (struct starpu_bitmap *b, int e)
static int | starpu_bitmap_has_next (struct starpu_bitmap *b, int e)
static int | _starpu_count_bit_static (unsigned long e)
static int | _starpu_get_first_bit_rank (unsigned long ms)
static int | _starpu_get_last_bit_rank (unsigned long l)

## Data Structure Documentation

## starpu_bitmap

struct starpu_bitmap

todo

Data Fields
unsigned long | bits[_STARPU_BITMAP_SIZE] |
int | cardinal |